## org.apache.xerces.impl.xs.identity
Class Field.Matcher

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.identity.XPathMatcher
            |
            +--org.apache.xerces.impl.xs.identity.Field.Matcher

Enclosing class:
  Field

protected class Field.Matcher
extends XPathMatcher

Field matcher.

Author:
  Andy Clark, IBM

Field Summary
`protected ValueStore` `fStore` Value store for data values.

Fields inherited from class org.apache.xerces.impl.xs.identity.XPathMatcher
`DEBUG_ALL, DEBUG_ANY, DEBUG_MATCH, DEBUG_METHODS, DEBUG_METHODS2, DEBUG_METHODS3, DEBUG_STACK, fMatchedString, fSymbolTable, MATCHED, MATCHED_ATTRIBUTE, MATCHED_DESCENDANT, MATCHED_DESCENDANT_PREVIOUS`

Constructor Summary
`Field.Matcher(Field.XPath xpath, ValueStore store)` Constructs a field matcher.

Method Summary
`protected void` `handleContent(XSElementDecl eDecl, java.lang.String value)`
`protected void` `matched(java.lang.String content, XSSimpleType val, boolean isNil)` This method is called when the XPath handler matches the XPath expression.

Methods inherited from class org.apache.xerces.impl.xs.identity.XPathMatcher
`endElement, getMatchedString, isMatched, startDocumentFragment, startElement, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fStore

    protected ValueStore fStore

  Value store for data values.

Constructor Detail

### Field.Matcher

    public Field.Matcher(Field.XPath xpath,
                         ValueStore store)

  Constructs a field matcher.

Method Detail

### matched

    protected void matched(java.lang.String content,
                           XSSimpleType val,
                           boolean isNil)

  This method is called when the XPath handler matches the XPath expression.
  Overrides:
    `matched` in class `XPathMatcher`

### handleContent

    protected void handleContent(XSElementDecl eDecl,
                                 java.lang.String value)

  Overrides:
    `handleContent` in class `XPathMatcher`

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.